LibreOffice: DataPilotTablePositionData Struct Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
DataPilotTablePositionData Struct Reference

This structure contains information on a cell within a DataPilot table. More...

## Public Attributes
long | PositionType
| This parameter specifies which sub-area of a DataPilot table a given cell is positioned.
any | PositionData

## Detailed Description

This structure contains information on a cell within a DataPilot table.

This structure contains information on a particular cell within a DataPilot table, and is used to retrieve its metadata. The PositionType member specifies in which sub-area of the table the cell is positioned, which in turn determines the type of metadata contained in the PositionData member.

See also
  com::sun::star::sheet::DataPilotTablePositionType
  com::sun::star::sheet::DataPiotTableResultData
  com::sun::star::sheet::DataPiotTableHeaderData

Since
  OOo 3.0

## Member Data Documentation

## ◆ PositionData

any PositionData

This member contains a structure of different types depending on the position type specified in PositionType member.

When the value of PositionType is DataPilotTablePositionType::RESULT, DataPilotTablePositionData::PositionData contains an instance of type DataPilotTableResultData, whereas when the value of DataPilotTablePositionData::PositionType is either DataPilotTablePositionType::ROW_HEADER or DataPilotTablePositionType::COLUMN_HEADER, then the PositionData member contains an instance of type DataPilotTableHeaderData.

See also
  com::sun::star::sheet::DataPiotTableResultData
  com::sun::star::sheet::DataPiotTableHeaderData

## ◆ PositionType

long PositionType

This parameter specifies which sub-area of a DataPilot table a given cell is positioned.

See DataPilotTablePositionType for how to interpret the value of this parameter.

See also
  com::sun::star::sheet::DataPilotTablePositionType

The documentation for this struct was generated from the following file:

- com/sun/star/sheet/DataPilotTablePositionData.idl